<?php
  $option           = get_value($payment_params, 'option');
  $min_amount       = get_value($payment_params, 'min');
  $max_amount       = get_value($payment_params, 'max');
  $type             = get_value($payment_params, 'type');
  $tnx_fee          = get_value($option, 'tnx_fee');
  $currency_code    = get_option("currency_code",'USD');
  $currency_symbol  = get_option("currency_symbol",'$');
?>
<div class="add-funds-form-content">
  <form class="form" action="#" method="POST" id="2checkoutPaymentForm">
    <div class="row">
      <div class="col-md-12">
        <div class="for-group text-center">
          <img src="<?=BASE?>/assets/images/2checkout.svg" alt="2Checkout icon">
          <p class="p-t-10"><small><?=sprintf(lang("you_can_deposit_funds_with_paypal_they_will_be_automaticly_added_into_your_account"), '2CheckOut')?></small></p>
        </div>

        <div class="form-group">
          <label><?=sprintf(lang("amount_usd"), $currency_code)?></label>
          <input class="form-control square" type="number" name="amount" placeholder="<?php echo $min_amount; ?>">
        </div>

        <div class="form-group">
          <label class="form-label"><?=lang("user_information")?></label>
          <div class="input-icon">
            <span class="input-icon-addon">
              <i class="fe fe-user"></i>
            </span>
            <input type="text" class="form-control" name="name" id="name" placeholder="<?=lang("Your_name")?>" required autofocus>
          </div>    

          <div class="input-icon m-t-20">
            <span class="input-icon-addon">
              <i class="fe fe-mail"></i>
            </span>
            <input type="text" class="form-control" name="email" id="email" placeholder="<?=lang("Email")?>" required>
          </div>
        </div>

        <div class="form-group">
          <label class="form-label"><?=lang("card_number")?></label>
          <input type="number" class="form-control" name="card_num" id="card_num" autocomplete="off" required>
        </div>
        <div class="row">
          <div class="col-sm-8">
            <div class="form-group">
              <label  class="form-label"><span class="hidden-xs"><?=lang("expiry_date")?></span> </label>
              <div class="input-group">
                <input type="number" name="exp_month" id="exp_month" class="form-control" placeholder="MM" required>
                <input type="number" name="exp_year" id="exp_year" class="form-control" placeholder="YY" required>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="form-group">
              <label class="form-label">CVV</label>
              <input type="number" name="cvv" id="cvv" class="form-control" autocomplete="off" required>
            </div>
          </div>
        </div>
        
        <!-- hidden token input -->
        <input id="token" name="token" type="hidden" value="">

        <div class="form-group">
          <label><?php echo lang("note"); ?></label>
          <ul>
            <?php
              if ($tnx_fee > 0) {
            ?>
            <li><?=lang("transaction_fee")?>: <strong><?php echo $tnx_fee; ?>%</strong></li>
            <?php } ?>
            <li><?=lang("Minimal_payment")?>: <strong><?php echo $currency_symbol.$min_amount; ?></strong></li>
            <?php
              if ($max_amount > 0) {
            ?>
            <li><?=lang("Maximal_payment")?>: <strong><?php echo $currency_symbol.$max_amount; ?></strong></li>
            <?php } ?>
          </ul>
        </div>

        <div class="form-group">
          <label class="custom-control custom-checkbox">
            <input type="checkbox" class="custom-control-input" name="agree" value="1">
            <span class="custom-control-label text-uppercase"><strong><?=lang("yes_i_understand_after_the_funds_added_i_will_not_ask_fraudulent_dispute_or_chargeback")?></strong></span>
          </label>
        </div>
        
        <div class="form-actions left">
          <input type="hidden" name="payment_id" value="<?php echo $payment_id; ?>">
          <input type="hidden" name="payment_method" value="<?php echo $type; ?>">
          <button type="submit" class="btn round btn-primary btn-min-width mr-1 mb-1">
            <?=lang("Pay")?>
          </button>
        </div>
      </div>  
    </div>
  </form>
</div>

<!-- 2Checkout JavaScript library -->
<script src="https://www.2checkout.com/checkout/api/2co.min.js"></script>
<?php
  if (get_option('payment_environment',"") == "sandbox") {
    $payment_environment = 'sandbox';
  }else{
    $payment_environment = 'production';
  }
?>
<script>
// Called when token created successfully.
var successCallback = function(data) {
  var myForm = document.getElementById('2checkoutPaymentForm');

  // Set the token as the value for the token input
  myForm.token.value = data.response.token.token;

  // Form submission
  myForm.submit();
};

// Called when token creation fails.
var errorCallback = function(data) {
  if (data.errorCode === 200) {
    tokenRequest();
  } else {
    alert(data.errorMsg);
  }
};

var tokenRequest = function() {
  // Setup token request arguments
  var args = {
    sellerId: "<?php echo get_value($option, 'sellerId'); ?>",
    publishableKey: "<?php echo get_value($option, 'public_key'); ?>",
    ccNo: $("#card_num").val(),
    cvv: $("#cvv").val(),
    expMonth: $("#exp_month").val(),
    expYear: $("#exp_year").val()
  };

  // Make the token request
  TCO.requestToken(successCallback, errorCallback, args);
};

$(function() {
  // Pull in the public encryption key for our environment
  TCO.loadPubKey("<?=$payment_environment?>");

  $("#2checkoutPaymentForm").submit(function(e) {
    // Call our token request function
    tokenRequest();
    // Prevent form from submitting
    return false;
  });
});
</script>